Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class DecimalUnitInput

    java.lang.Object
      info.webinsel.util.swing.DecimalInput
          info.bioinfweb.treegraph.gui.dialogs.DecimalUnitInput

Direct Known Subclasses:
  DistanceValueInput, ResolutionInput, ScaleValueInput

    public abstract class DecimalUnitInput

extends info.webinsel.util.swing.DecimalInput

Field Summary
`private javax.swing.JComboBox` | `comboBox`

Fields inherited from class info.webinsel.util.swing.DecimalInput
`DOUBLE_FORMAT, FLOAT_FORMAT, INTEGER_FORMAT`

Constructor Summary
`DecimalUnitInput(java.lang.String labelText, javax.swing.JPanel panel, int y)`
`DecimalUnitInput(java.lang.String labelText, javax.swing.JPanel panel, int x, int y)`

Method Summary
`protected abstract void` | `customizeComboBox(javax.swing.JComboBox comboBox)`
`javax.swing.JComboBox` | `getComboBox()`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class info.webinsel.util.swing.DecimalInput
`createLabelTable, getChangeMonitor, getDecimalFormat, getLabel, getTextField, parseDouble, parseFloat, parseInt, parseLong, setDecimalFormatStr, setValue, setValue, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comboBox

    private javax.swing.JComboBox comboBox

Constructor Detail

### DecimalUnitInput

    public DecimalUnitInput(java.lang.String labelText,
                            javax.swing.JPanel panel,
                            int y)

### DecimalUnitInput

    public DecimalUnitInput(java.lang.String labelText,
                            javax.swing.JPanel panel,
                            int x,
                            int y)

Method Detail

### getComboBox

    public javax.swing.JComboBox getComboBox()

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `info.webinsel.util.swing.DecimalInput`

### customizeComboBox

    protected abstract void customizeComboBox(javax.swing.JComboBox comboBox)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD